> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a blacklist entry

> Developer API operation for POST /dev/v1/blacklist.



## OpenAPI

````yaml /openapi.json post /dev/v1/blacklist
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/blacklist:
    post:
      tags:
        - Blacklist
      summary: Create a blacklist entry
      description: Developer API operation for POST /dev/v1/blacklist.
      operationId: postDevV1Blacklist
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - type
              properties:
                type:
                  anyOf:
                    - type: string
                      enum:
                        - EMAIL
                    - type: string
                      enum:
                        - IP
                    - type: string
                      enum:
                        - IP_RANGE
                    - type: string
                      enum:
                        - COUNTRY
                    - type: string
                      enum:
                        - DOMAIN
                    - type: string
                      enum:
                        - ASN
                    - type: string
                      enum:
                        - ISP
                    - type: string
                      enum:
                        - CITY
                    - type: string
                      enum:
                        - CRYPTO_ADDRESS
                    - type: string
                      enum:
                        - USER_AGENT
                    - type: string
                      enum:
                        - DISCORD_ID
                    - type: string
                      enum:
                        - VPN
                    - type: string
                      enum:
                        - TOR
                    - type: string
                      enum:
                        - HOSTING
                    - type: string
                      enum:
                        - DISPOSABLE_EMAIL
                    - type: string
                      enum:
                        - DEVICE
                    - type: string
                      enum:
                        - CARD
                value:
                  type: string
                reason:
                  type: string
              example:
                type: IP
                value: 203.0.113.10
                reason: Chargeback abuse
          multipart/form-data:
            schema:
              type: object
              required:
                - type
              properties:
                type:
                  anyOf:
                    - type: string
                      enum:
                        - EMAIL
                    - type: string
                      enum:
                        - IP
                    - type: string
                      enum:
                        - IP_RANGE
                    - type: string
                      enum:
                        - COUNTRY
                    - type: string
                      enum:
                        - DOMAIN
                    - type: string
                      enum:
                        - ASN
                    - type: string
                      enum:
                        - ISP
                    - type: string
                      enum:
                        - CITY
                    - type: string
                      enum:
                        - CRYPTO_ADDRESS
                    - type: string
                      enum:
                        - USER_AGENT
                    - type: string
                      enum:
                        - DISCORD_ID
                    - type: string
                      enum:
                        - VPN
                    - type: string
                      enum:
                        - TOR
                    - type: string
                      enum:
                        - HOSTING
                    - type: string
                      enum:
                        - DISPOSABLE_EMAIL
                    - type: string
                      enum:
                        - DEVICE
                    - type: string
                      enum:
                        - CARD
                value:
                  type: string
                reason:
                  type: string
              example:
                type: IP
                value: 203.0.113.10
                reason: Chargeback abuse
          text/plain:
            schema:
              type: object
              required:
                - type
              properties:
                type:
                  anyOf:
                    - type: string
                      enum:
                        - EMAIL
                    - type: string
                      enum:
                        - IP
                    - type: string
                      enum:
                        - IP_RANGE
                    - type: string
                      enum:
                        - COUNTRY
                    - type: string
                      enum:
                        - DOMAIN
                    - type: string
                      enum:
                        - ASN
                    - type: string
                      enum:
                        - ISP
                    - type: string
                      enum:
                        - CITY
                    - type: string
                      enum:
                        - CRYPTO_ADDRESS
                    - type: string
                      enum:
                        - USER_AGENT
                    - type: string
                      enum:
                        - DISCORD_ID
                    - type: string
                      enum:
                        - VPN
                    - type: string
                      enum:
                        - TOR
                    - type: string
                      enum:
                        - HOSTING
                    - type: string
                      enum:
                        - DISPOSABLE_EMAIL
                    - type: string
                      enum:
                        - DEVICE
                    - type: string
                      enum:
                        - CARD
                value:
                  type: string
                reason:
                  type: string
              example:
                type: IP
                value: 203.0.113.10
                reason: Chargeback abuse
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                example:
                  data:
                    id: 44444444-4444-4444-8444-444444444444
                    type: IP
                    value: 203.0.113.10
                    reason: Chargeback abuse
                    created_at: 1711962000
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````